# Uses of Interface
net.shibboleth.saml.profile.config.SAMLArtifactConfiguration

Packages that use SAMLArtifactConfiguration
Package
Description
net.shibboleth.saml.profile.config
Generic SAML profile configuration.

## Uses of SAMLArtifactConfiguration in net.shibboleth.saml.profile.config

Classes in net.shibboleth.saml.profile.config that implement SAMLArtifactConfiguration
Modifier and Type
Class
Description
`class`
`BasicSAMLArtifactConfiguration`
Concrete class for outbound SAML artifact configuration.
Methods in net.shibboleth.saml.profile.config that return SAMLArtifactConfiguration
Modifier and Type
Method
Description
`SAMLArtifactConfiguration`
SAMLArtifactAwareProfileConfiguration.`getArtifactConfiguration(ProfileRequestContext profileRequestContext)`
Get the associated `SAMLArtifactConfiguration` for the profile, if any.